<template>
  <ul>
    <li>
      <span class="nav-title">{{$t('administration')}}</span>
    </li>
    <li v-for="(_topMenuList, index) in data" :key="index">
      <a
        :title="_topMenuList.name"
        :data-opentarget="_topMenuList.opentarget"
        :data-linkType="_topMenuList.linkType"
        :data-appid="_topMenuList.appId"
        :data-actioncontent="_topMenuList.actionContent"
        :data-url="_topMenuList.url"
        :data-allowOpenForm="_topMenuList.allowOpenFrom ? 'true' : 'false'"
        :data-allowOpenView="_topMenuList.allowOpenView ? 'true' : 'false'"
        @click="onMenuClick(_topMenuList)"
      >
        <cite>{{_topMenuList.name}}</cite>
        <i v-if="_topMenuList.children" class="glyphicon" :class="activatedMenus.indexOf(_topMenuList)>=0 ? 'glyphicon-menu-down':'glyphicon-menu-left'"></i>
      </a>
      <dl
        v-if="_topMenuList.children"
        :style="{ display: activatedMenus.indexOf(_topMenuList)>=0 ? 'block':'none'}"
      >
        <dd v-for="(_secondMenuList, index) in _topMenuList.children" :key="index">
          <a
            :title="_secondMenuList.name"
            :data-opentarget="_secondMenuList.opentarget"
            :data-linkType="_secondMenuList.linkType"
            :data-appid="_secondMenuList.appId"
            :data-actioncontent="_secondMenuList.actionContent"
            :data-url="_secondMenuList.url"
            :data-allowOpenForm="_secondMenuList.allowOpenFrom ? 'true' : 'false'"
            :data-allowOpenView="_secondMenuList.allowOpenView ? 'true' : 'false'"
            @click="onMenuClick(_secondMenuList)"
          >
            <cite>{{_secondMenuList.name}}</cite>
            <i v-if="_secondMenuList.children" class="glyphicon" :class="activatedMenus.indexOf(_secondMenuList)>=0 ? 'glyphicon-menu-down':'glyphicon-menu-left'"></i>
          </a>
          <ol
            v-if="_secondMenuList.children"
            class="layui-nav-child"
            :style="{ display: activatedMenus.indexOf(_secondMenuList)>=0 ? 'block':'none'}"
          >
            <li v-for="(_thirdMenuList, index) in _secondMenuList.children" :key="index">
              <a
                :title="_thirdMenuList.name"
                href="javascript:;"
                :data-opentarget="_thirdMenuList.opentarget"
                :data-linkType="_thirdMenuList.linkType"
                :data-appid="_thirdMenuList.appId"
                :data-actioncontent="_thirdMenuList.actionContent"
                :data-url="_thirdMenuList.url"
                :data-allowOpenForm="_thirdMenuList.allowOpenFrom ? 'true' : 'false'"
                :data-allowOpenView="_thirdMenuList.allowOpenView ? 'true' : 'false'"
                @click="onMenuClick(_thirdMenuList)"
              >
                <span class="dot-active"></span>
                <cite v-if="_thirdMenuList.name">{{_thirdMenuList.name}}</cite>
              </a>
            </li>
          </ol>
        </dd>
      </dl>
    </li>
  </ul>

</template>
<script>
export default {
  name: "obpm-main-navbar",

  computed: {
    data() {
      return this.$store.getters.currentMenus;
    }
  },

  data: function() {
    return {
      activatedMenus: [] //减少操作store数据，不要将所有状态都存储在store中，只有本组件用到的用local存储
    };
  },

  methods: {
    onMenuClick: function(menu) {
      let p = this.activatedMenus.indexOf(menu);
      if (p < 0) {
        this.activatedMenus.push(menu);
      } else {
        this.activatedMenus.splice(p, 1);
      }

      if (menu.linkType && menu.linkType != "") {
        this.$emit("add-tab", {
          id: menu.id,
          name: menu.name,
          appId: this.data.appId,
          linkType: menu.linkType,
          actionContent: menu.actionContent,//存放FORMID或VIEWID
        });
      }
    }
  }
};
</script>